package com.rjconsultores.ventaboletos.dao;

import java.sql.Connection;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Aidf;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.vo.aidf.AidfVo;

public interface AidfDAO extends GenericDAO<Aidf, Long> {

	public List<Aidf> buscaAidfsPorEmpresas(List<Empresa> empresas);

	public Boolean existeAidfComCodFiscalEEstado(Long idAidf, Integer especieId, String docFiscal, Estado estado);

	public List<Aidf> buscaAidfEstadoEmpresa(Integer empresaId, Integer estadoId,Boolean isRMD);

	public String buscaUltimoAidfRMDUtilizado(Long idAidf, Integer empresaId, Integer estadoId);

	public boolean vaidaRMDUtilizado(Long idAidf, Integer empresaId, Integer estadoId, String folio);

	public Boolean validarDocFiscalPorEstadoAgencia(Long idAidf, Integer especieId, String docFiscal,  String formInicial, String formFinal, Estado estado, PuntoVenta agencia);

	public List<Aidf> buscaAidfsPorEmpresaAgencia(Empresa empresa, PuntoVenta pontoVenda);

	public List<AidfVo> obtenerAidfFromSerieDocfiscal(String serie, String subSerie, String docfiscal, Connection conn,Integer empresaId);
}
